
QGIS Application - Bug report #8937

Help in Save raster as... help dialog

2013-10-23 10:00 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Documentation and Help

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 17605

Description

Help for Create options is misformatted:

Format Details:

  Extension: tif

  Short Name: GTiff  /  Long Name: GeoTIFF

  Help page:  http://www.gdal.org/frmt_gtiff.html

<CreationOptionList>

  <Option name="COMPRESS" type="string-select">

    <Value>NONE</Value>

    <Value>LZW</Value>

    <Value>PACKBITS</Value>

    <Value>JPEG</Value>

    <Value>CCITTRLE</Value>

    <Value>CCITTFAX3</Value>

    <Value>CCITTFAX4</Value>

    <Value>DEFLATE</Value>

    <Value>LZMA</Value>

  </Option>

  <Option name="PREDICTOR" type="int" description="Predictor Type" />

  <Option name="JPEG_QUALITY" type="int" description="JPEG quality 1-100" default="75" />

  <Option name="ZLEVEL" type="int" description="DEFLATE compression level 1-9" default="6" />

  <Option name="LZMA_PRESET" type="int" description="LZMA compression level 0(fast)-9(slow)" default="6" />

  <Option name="NBITS" type="int" description="BITS for sub-byte files (1-7), sub-uint16 (9-15), sub-uint32 (17-31)" />

  <Option name="INTERLEAVE" type="string-select" default="PIXEL">

    <Value>BAND</Value>

    <Value>PIXEL</Value>

  </Option>

  <Option name="TILED" type="boolean" description="Switch to tiled format" />

  <Option name="TFW" type="boolean" description="Write out world file" />

  <Option name="RPB" type="boolean" description="Write out .RPB (RPC) file" />

  <Option name="BLOCKXSIZE" type="int" description="Tile Width" />

  <Option name="BLOCKYSIZE" type="int" description="Tile/Strip Height" />

  <Option name="PHOTOMETRIC" type="string-select">

    <Value>MINISBLACK</Value>

    <Value>MINISWHITE</Value>

    <Value>PALETTE</Value>

    <Value>RGB</Value>

    <Value>CMYK</Value>
    <Value>YCBCR</Value>

    <Value>CIELAB</Value>

    <Value>ICCLAB</Value>

    <Value>ITULAB</Value>

  </Option>

  <Option name="SPARSE_OK" type="boolean" description="Can newly created files have missing blocks?" default="FALSE" />

  <Option name="ALPHA" type="boolean" description="Mark first extrasample as being alpha" />

  <Option name="PROFILE" type="string-select" default="GDALGeoTIFF">

    <Value>GDALGeoTIFF</Value>

    <Value>GeoTIFF</Value>

    <Value>BASELINE</Value>

  </Option>

  <Option name="PIXELTYPE" type="string-select">

    <Value>DEFAULT</Value>

    <Value>SIGNEDBYTE</Value>

  </Option>

  <Option name="BIGTIFF" type="string-select" description="Force creation of BigTIFF file">

    <Value>YES</Value>

    <Value>NO</Value>

    <Value>IF_NEEDED</Value>

    <Value>IF_SAFER</Value>

  </Option>

  <Option name="ENDIANNESS" type="string-select" default="NATIVE" description="Force endianness of created file. For DEBUG

purpose mostly">

    <Value>NATIVE</Value>

    <Value>INVERTED</Value>

    <Value>LITTLE</Value>

    <Value>BIG</Value>

  </Option>

  <Option name="COPY_SRC_OVERVIEWS" type="boolean" default="NO" description="Force copy of overviews of source dataset

(CreateCopy())" />

</CreationOptionList>

History

#1 - 2017-05-01 01:09 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2018-02-24 01:54 PM - Paolo Cavallini

- Description updated

Fixed in QGIS 3

#3 - 2018-02-24 01:58 PM - Paolo Cavallini

- Resolution set to fixed/implemented

- Status changed from Open to Closed
